%define upstream_name	 Test-LongString
%define upstream_version 0.16

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Perl module to test strings for equality

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl-devel

BuildArch:	noarch

%description
This module provides some drop-in replacements for the string comparison
functions of Test::More, but which are more suitable when you test against long
strings. If you've ever had to search for text in a multi-line string like an
HTML document, or find specific items in binary data, this is the module for
you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Test/*
%{_mandir}/*/*

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 0.160.0-1
+ Revision: 47102e7
- Merge pull request #1 from import/perl-Test-LongString:auto_update
- ROSA Updates Builder: update suggested


